Apache Tomcat 9.0.0.M1 < 9.0.12 Open Redirect

Medium Web Application Scanning Plugin ID 112313

Synopsis

Apache Tomcat 9.0.0.M1 < 9.0.12 Open Redirect

Description

The version of Apache Tomcat installed on the remote host is 9.0.0.M1 to 9.0.11, 8.5.0 to 8.5.33 or 7.0.23 to 7.0.90. It is, therefore, affected by an open redirect vulnerability when the default servlet returned a redirect to a directory.

Note that the scanner has not attempted to exploit these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Apache Tomcat version 9.0.12 or later.

See Also

http://tomcat.apache.org/security-9.html#Fixed_in_Apache_Tomcat_9.0.12

Plugin Details

Severity: Medium

ID: 112313

Type: remote

Published: 2018/11/05

Updated: 2020/02/18

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

CVSS v3.0

Base Score: 4.3

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:L/A:N

Vulnerability Information

CPE: cpe:/a:apache:tomcat:*:*:*:*:*:*:*:*

Exploit Available: false

Patch Publication Date: 2018/09/10

Vulnerability Publication Date: 2018/10/03

Reference Information

CVE: CVE-2018-11784

BID: 105524

CWE: 601

WASC: URL Redirector Abuse

OWASP: 2010-A10, 2013-A10, 2013-A9, 2017-A9